{
    "pairs": {
        "binance": {
            "USDT-BTC": {
                "strategy": "4h",
                "enabled": true,
                "override": {
                    "IGNORE_TRADES_BEFORE": 1582150020952,
                    "timestamp": 1582150021,
                    "BUY_ENABLED": false,
                    "SELL_ENABLED": false
                }
            }
        }
    },
    "strategies": {
        "4h": {
            "IS_MARGIN_STRAT": false,
            "bitRage": false,
            "CLOSE_SPREAD": false,
            "bitRage_MODE": "safe",
            "MAX_BUY": 3,
            "MAX_SELL": 3,
            "KUMO_BUY": false,
            "KIJUN_BUY": false,
            "TENKAN_BUY": true,
            "KUMO_SELL": false,
            "TENKAN_SELL": true,
            "KIJUN_SELL": false,
            "ROE_CLOSE": false,
            "ROE_TRAILING": false,
            "ROE_LIMIT": 1,
            "PRE_ORDER": false,
            "PRE_ORDER_GAP": 0,
            "MAKER_FEES": false,
            "MEAN_REVERSION": false,
            "MARKET_BUY": false,
            "MARKET_SELL": false,
            "MARKET_CLOSE": false,
            "MARKET_STOP": false,
            "MARKET_RTBUY": false,
            "MARKET_RTSELL": false,
            "MARKET_BUYBACK": false,
            "MARKET_DU": false,
            "MARKET_FOK": false,
            "USE_RENKO": false,
            "SHORT_LEVEL": 1,
            "LONG_LEVEL": 1,
            "ROE": 1,
            "TENKAN_CLOSE": true,
            "KUMO_CLOSE": false,
            "KIJUN_CLOSE": false,
            "TENKAN_STOP": false,
            "KUMO_STOP": true,
            "KIJUN_STOP": false,
            "RENKO_PERIOD": 15,
            "RENKO_BRICK_SIZE": 0.0001,
            "RENKO_ATR": false,
            "LEVERAGE": 0,
            "ICHIMOKU_PROTECTION": true,
            "XTREND_ENABLED": false,
            "NBA": 0,
            "DOUBLE_CHECK_GAIN": false,
            "DISPLACEMENT": 26,
            "RT_BUY_UP_LEVEL": 0,
            "SL_DISABLE_BUY": false,
            "SL_DISABLE_SELL": false,
            "COUNT_SELL": 1,
            "BTC_PND_PERIOD": 14,
            "STOCHRSI_ENABLED": false,
            "STOCHRSI_LENGTH": 14,
            "STOCHRSI_BUY_LEVEL": 0.2,
            "STOCHRSI_SELL_LEVEL": 0.8,
            "STOCHRSI_METHOD": "oscillator",
            "RT_ONCE": false,
            "RT_ONCE_AND_CONTINUE": false,
            "TP_PROFIT_ONLY": true,
            "TAKE_BUY": false,
            "TBUY_RANGE": 0.5,
            "TENKAN_PERIOD": 9,
            "KIJUN_PERIOD": 26,
            "SENKOUSPAN_PERIOD": 52,
            "KEEP_QUOTE": 0,
            "TL_PERC": 0,
            "TL_ALLIN": false,
            "TAKE_PROFIT": false,
            "TP_RANGE": 0.5,
            "EMAx": 0.5,
            "PP_BUY": 1,
            "PP_SELL": 0.000001,
            "BUYLVL": 1,
            "BUYLVL1": 0.6,
            "BUYLVL2": 2,
            "BUYLVL3": 70,
            "SELLLVL": 1,
            "SELLLVL1": 0.6,
            "SELLLVL2": 2,
            "SELLLVL3": 70,
            "ATRX": 0.5,
            "ATR_PERIOD": 14,
            "RSI_METHOD": "oscillator",
            "STOCH_METHOD": "oscillator",
            "KUMO_SENTIMENTS": true,
            "CANDLES_LENGTH": 300,
            "EMA_LENGTH": 50,
            "MFI_LENGTH": 14,
            "RT_SELL_UP": 0.3,
            "RT_TREND_ENABLED": false,
            "RT_BUY_LEVEL": 2,
            "RT_GAIN": 1.5,
            "BUY_METHOD": "gain",
            "BUY_ENABLED": false,
            "BUY_LEVEL": 0.01,
            "BUY_RANGE": 1,
            "SELL_METHOD": "gain",
            "SELL_ENABLED": false,
            "GAIN": 0,
            "SELL_RANGE": 0.5,
            "TSSL_TARGET_ONLY": true,
            "TRADING_FEES": 0.1,
            "TRADING_LIMIT": 0.002,
            "FUNDS_RESERVE": 0.0001,
            "PERIOD": 240,
            "EMA1": 100,
            "EMA2": 100,
            "HIGH_BB": 0,
            "LOW_BB": 0,
            "STDV": 2,
            "SMAPERIOD": 50,
            "SLOW_SMA": 2,
            "FAST_SMA": 1,
            "SINGLE_BUY": false,
            "MACD_SHORT": 5,
            "MACD_LONG": 20,
            "MACD_SIGNAL": 10,
            "STOCH_ENABLED": false,
            "STOCH_BUY_LEVEL": 20,
            "STOCH_SELL_LEVEL": 80,
            "STOCH_K": 14,
            "SLOW_STOCH_K": 3,
            "STOCH_D": 3,
            "DI_PERIOD": 14,
            "EMASPREAD": false,
            "ADX_LEVEL": 25,
            "ADX_ENABLED": false,
            "RSI_BUY_ENABLED": false,
            "RSI_SELL_ENABLED": false,
            "RSI_BUY_LEVEL": 30,
            "RSI_SELL_LEVEL": 70,
            "RSI_LENGTH": 14,
            "MFI_ENABLED": false,
            "MFI_SELL_LEVEL": 70,
            "MFI_BUY_LEVEL": 30,
            "BTC_PND_PROTECTION": false,
            "BTC_MONEY_FLOW": 35,
            "DOUBLE_UP": false,
            "DOUBLE_UP_CAP": 1,
            "DU_CAP_COUNT": 0,
            "DU_METHOD": "HIGHBB",
            "RSI_DU_BUY": 30,
            "RT_ENABLED": false,
            "RT_MAXBAG_PROTECTION": 10,
            "DU_BUYDOWN": 2,
            "TRAIL_ME_BUY": false,
            "TRAIL_ME_SELL": false,
            "TRAIL_ME_RT_SELL_RANGE": 0.5,
            "TM_RT_SELL": false,
            "TRAIL_ME_RT": false,
            "TRAIL_ME_DU": false,
            "TRAIL_ME_SELL_RANGE": 0.1,
            "TRAIL_ME_BUY_RANGE": 0.5,
            "PANIC_SELL": false,
            "STOP_LIMIT": 99999,
            "MIN_VOLUME_TO_BUY": 10,
            "MIN_VOLUME_TO_SELL": 10,
            "TRADES_TIMEOUT": 0,
            "STOP_BUY": 0,
            "STOP_SELL": 0,
            "IGNORE_TRADES_BEFORE": 0
        }
    },
    "bot": {
        "json_output": "./json",
        "debug": true,
        "BEST_CURRENCIES": false,
        "BOT_DELAY": 1,
        "BOT_CCLEAN": 2,
        "gunthy_wallet": "YOUR_GUNTHY_WALLET",
        "CANCEL_ORDERS_ENABLED": true,
        "CANCEL_ORDERS_CYCLE_CAP": 20,
        "RESERVE_PILE_UP": false,
        "interval_ticker_update": 25000,
        "period_storage_ticker": 2000,
        "timeout_buy": 59000,
        "timeout_sell": 60000,
        "TRADING_LIMIT_BUY_PYRAMID": 50,
        "TV_GAIN": 1,
        "TV_TRADING_LIMIT_BUY": 20,
        "TV_TRADING_LIMIT_BUY_PYRAMID": 20,
        "TV_PYRAMID": false,
        "TV_TRADING_LIMIT_SELL": 20,
        "TV_PROTECTION": false,
        "TV_TRADING_LIMIT_CAP": 100,
        "TV_STOPLOSS_PERCENTAGE": 60,
        "TV_TRADING_LIMIT_ALLIN": false,
        "TV_MVTS": 10,
        "TV_GB": false,
        "TV_LEVERAGE": 0,
        "RETRY_TV_ORDER": false,
        "VERBOSE": true,
        "WATCH_MODE": false,
        "MULTIPLE_BASE": false,
        "MINIMUM_VOLUME_GOOD_CURRENCY": 200,
        "MINIMUM_VARIATION_SUGGEST_TRADE": 1,
        "withdraw_address": "YOURBTCADDRESSHERE",
        "withdraw_threshold": 0.5,
        "OLD_TELEGRAM": false,
        "TELEGRAM_ENABLED": false,
        "TG_AUTOCONFIG": false,
        "TG_ORDER_TIMEOUT": 0,
        "TG_TEST": false,
        "TG_PL_ONLY": false,
        "UTA_ENABLED": false,
        "TEST_BITRAGE": false,
        "TELEGRAM_NICK": "Gunbot",
        "CANCEL_ONCAP": true,
        "TV_CLOSE_ALL": true,
        "FUTURES": false,
        "TV_LENDING": 1,
        "BR_TOKEN": "1111111",
        "TOKEN": "1111111",
        "chat_id": 1111111,
        "admin_id": 1111111
    },
    "ws": {
        "port": 5001,
        "clientport": 3000,
        "hostname": "127.0.0.1"
    },
    "GUI": {
        "enabled": true,
        "start": true,
        "port": 5000,
        "https": false,
        "key": "localhost.key",
        "cert": "localhost.crt",
        "networktraffic": false,
        "authentication": {
            "login": true,
            "twoFA": false
        },
        "notifications": {
            "trade": true,
            "callback": false,
            "error": true
        }
    },
    "Colorize": {
        "enabled": false,
        "start": false,
        "https": false,
        "port": 8019,
        "key": "colorize/ssl/privateKey.key",
        "cert": "colorize/ssl/certificate.crt",
        "allowedIPs": "127.0.0.1, localhost"
    },
    "AutoConfig": {
        "enabled": true
    },
    "exchanges": {
        "binance": {
            "key": "YOUR_KEY",
            "secret": "YOUR_SECRET",
            "masterkey": "YOUR_KEY",
            "mastersecret": "YOUR_SECRET",
            "type": "binance",
            "delay": 0.01,
            "TRADING_FEES": 0.1
        },
        
    },
    "imap_listener": {
        "enabled": false,
        "authorized_froms": "[\"test@test.com"]",
        "user": "test@test.com",
        "password": "safdfdsafdsa",
        "host": "imap.gmail.com",
        "port": 993,
        "tls": true,
        "tlsOptions": {
            "rejectUnauthorized": false
        }
    }
}